Bug 1734371 - systemd user presets request - snapd.session-agent.socket
Summary: systemd user presets request - snapd.session-agent.socket
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 11:38 UTC by Neal Gompa
Modified: 2019-08-28 15:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 15:24:17 UTC


Attachments (Terms of Use)

Description Neal Gompa 2019-07-30 11:38:27 UTC
* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?

No

* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?

No

* Is the service non-persistent (i.e. run once at startup and exit)?

No

* What is the exact name (or names) of the systemd unit files to be enabled?

snapd.session-agent.socket

* Is this request for all Fedora deliverables or only for some Editions (list them)?

All Fedora deliverables

Additional info:
I need this preset also backported to F30 and F29 if possible. This new socket service is being introduced in snapd 2.41.

Comment 1 Neal Gompa 2019-07-30 11:51:26 UTC
(In reply to Neal Gompa from comment #0)
> 
> * Is the service non-persistent (i.e. run once at startup and exit)?
> 
> No
> 

This question is a little confusing for a socket-activated service...

It runs only for the duration of socket activation and then shuts down, similarly to other session services...

Hopefully that makes it clearer?

Comment 2 Stephen Gallagher 2019-07-30 14:12:55 UTC
(In reply to Neal Gompa from comment #1)
> (In reply to Neal Gompa from comment #0)
> > 
> > * Is the service non-persistent (i.e. run once at startup and exit)?
> > 
> > No
> > 
> 
> This question is a little confusing for a socket-activated service...
> 
> It runs only for the duration of socket activation and then shuts down,
> similarly to other session services...
> 
> Hopefully that makes it clearer?

Right, the purpose of that question was more about "does it establish some configuration and then never run again". A socket-activated service is effectively a persistent service that just happens to have zero footprint most of the time.

Comment 4 Neal Gompa 2019-07-31 02:39:32 UTC
Gave individual thumbs up in the PRs, but covering my base here by saying they all look good to me. :)

Comment 5 Stephen Gallagher 2019-07-31 12:09:31 UTC
PRs are merged. They will be included the next time Mohan does a build of fedora-release.

Comment 6 Fedora Update System 2019-07-31 14:02:48 UTC
FEDORA-2019-05873268e5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-05873268e5

Comment 7 Fedora Update System 2019-07-31 14:02:50 UTC
FEDORA-2019-b52f7b7cea has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b52f7b7cea

Comment 8 Fedora Update System 2019-08-01 03:28:41 UTC
fedora-release-30-5 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-05873268e5

Comment 9 Fedora Update System 2019-08-01 05:33:46 UTC
fedora-release-29-11 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b52f7b7cea

Comment 10 Ben Cotton 2019-08-13 16:57:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 11 Ben Cotton 2019-08-13 18:37:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 12 Fedora Update System 2019-08-15 18:51:36 UTC
fedora-release-29-11 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-08-22 01:17:03 UTC
fedora-release-30-5 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Peter Robinson 2019-08-28 15:24:17 UTC
Built


Note You need to log in before you can comment on or make changes to this bug.